Update listing
PUT
https://api.propexo.com/v1/listings/:listing_idUpdate a listing for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
listing_id stringrequired
The ID of the resource.
Request
This endpoint expects an object.
available_datestring<date-time>
The date the unit is available.
bathroomsstring
The number of bathrooms in the unit
bedroomsstring
The number of bedrooms in the unit
building_namestring
The name of the building
citystring
The city associated with the listing
countrystring
The country associated with the listing
deposit_amount_in_centsinteger
The deposit amount in cents
floorstring
The floor the unit is on
is_availableboolean
Whether the unit is available for rent
is_vacantboolean
Whether the unit is vacant
lease_termstring
The lease term
notesstring
Additional notes about the unit
rent_amount_in_centsinteger
The rent amount in cents
statestring
The state associated with the listing
street_address_1string
The first address line associated with the listing
street_address_2string
The second address line associated with the listing
zipstring
The zip code associated with the listing
Response
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/listings/:listing_id
curl -X PUT https://api.propexo.com/v1/listings/:listing_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"available_date": "2024-07-29T15:51:28.071Z",
"bathrooms": "string",
"bedrooms": "string",
"building_name": "string",
"city": "string",
"country": "string",
"deposit_amount_in_cents": 0,
"floor": "string",
"is_available": true,
"is_vacant": true,
"lease_term": "string",
"notes": "string",
"rent_amount_in_cents": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}